[med-svn] [artfastqgenerator] 02/04: Add initial packaging

Andreas Tille tille at debian.org
Tue Feb 16 13:24:37 UTC 2016


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository artfastqgenerator.

commit c287af6f8d0a62661a03accba3c8928c36f94278
Author: Andreas Tille <tille at debian.org>
Date:   Tue Feb 16 13:04:46 2016 +0100

    Add initial packaging
---
 debian/changelog         |  5 +++++
 debian/compat            |  1 +
 debian/control           | 25 ++++++++++++++++++++++++
 debian/copyright         | 11 +++++++++++
 debian/get-orig-source   | 49 ++++++++++++++++++++++++++++++++++++++++++++++++
 debian/rules             | 22 ++++++++++++++++++++++
 debian/source/format     |  1 +
 debian/upstream/metadata | 12 ++++++++++++
 debian/watch             |  5 +++++
 9 files changed, 131 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..d177062
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+artfastqgenerator (0.0.20150519-1) UNRELEASED; urgency=medium
+
+  * Initial release (Closes: #<bug>)
+
+ -- Andreas Tille <tille at debian.org>  Tue, 16 Feb 2016 11:27:45 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..024ba81
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,25 @@
+Source: artfastqgenerator
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>
+Section: science
+Priority: optional
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/artfastqgenerator.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/artfastqgenerator.git
+Homepage: https://sourceforge.net/projects/artfastqgen/
+
+Package: artfastqgenerator
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: ouputs artificial FASTQ files derived from a reference genome
+ ArtificialFastqGenerator takes the reference genome (in FASTA format) as
+ input and outputs artificial FASTQ files in the Sanger format. It can
+ accept Phred base quality scores from existing FASTQ files, and use them
+ to simulate sequencing errors. Since the artificial FASTQs are derived
+ from the reference genome, the reference genome provides a gold-standard
+ for calling variants (Single Nucleotide Polymorphisms (SNPs) and
+ insertions and deletions (indels)). This enables evaluation of a Next
+ Generation Sequencing (NGS) analysis pipeline which aligns reads to the
+ reference genome and then calls the variants.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..f545d38
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,11 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: ArtificialFastqGenerator
+Source: https://sourceforge.net/projects/artfastqgen/files/
+
+Files: *
+Copyright: © 20xx-20yy <upstream>
+License: <license>
+
+Files: debian/*
+Copyright: © 2016 maintainername <maintainer at e.mail>
+License: <license>
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..2fa2e84
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,49 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+# For an example how to fetch source from sourceforge SVN see
+#   git://anonscm.debian.org/debian-med/kmer-tools.git
+
+COMPRESS=xz
+ONAME=ArtificialFastqGenerator
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+set -x
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+mkdir ${TARDIR}
+cd ${TARDIR}
+unzip -q ../../${ONAME}*.zip
+
+unzip -q ArtificialFastqGenerator.jar
+find . -name "*.class" -delete
+rm *.jar
+cd ..
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..40d2a0a
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,22 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG        := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables, you can
+#  include /usr/share/dpkg/default.mk
+# and use what is set there.
+
+%:
+	dh $@
+
+get-orig-source:
+	. debian/get-orig-source
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..d8b5812
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,12 @@
+Reference:
+  Author: 
+  Title: 
+  Journal: 
+  Year: 
+  Volume: 
+  Number: 
+  Pages: 
+  DOI: 
+  PMID:
+  URL: 
+  eprint: 
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..84c28f8
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,5 @@
+version=3
+
+opts=uversionmangle=s/^(\d\d)_(\d\d)_(20\d\d)$/0.0.$3$2$1/ \
+  http://sf.net/artfastqgen/ArtificialFastqGenerator_(\d[\d_]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip) \
+  debian debian/get-orig-source

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/artfastqgenerator.git



More information about the debian-med-commit mailing list